package fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresQuizResponseDto;
import org.springframework.data.repository.Repository;

import java.util.List;

public interface ResponseCachePostgresRepository extends Repository<PostgresQuizResponseDto, Long> {

    PostgresQuizResponseDto save(PostgresQuizResponseDto quizResponseDto);

    List<PostgresQuizResponseDto> findAllByQuizIdOrderByQuestionIndexAsc(Long quizId);
}
