package fr.itsonus.bousoleplussbackend.domain.auth.spi;

import fr.itsonus.bousoleplussbackend.domain.auth.model.User;

import java.util.Optional;

public interface UserCacheRepository {
    Optional<User> findByEmail(String email);

    User save(User user);

    Boolean existsByEmail(String email);

    Optional<User> findById(Long id);
}
